aboutsummaryrefslogtreecommitdiffstats
path: root/dtc/scripts
diff options
context:
space:
mode:
authorAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
committerAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
commitaf1a266670d040d2f4083ff309d732d648afba2a (patch)
tree2fc46203448ddcc6f81546d379abfaeb323575e9 /dtc/scripts
parente02cda008591317b1625707ff8e115a4841aa889 (diff)
Add submodule dependency filesHEADmaster
Change-Id: Iaf8d18082d3991dec7c0ebbea540f092188eb4ec
Diffstat (limited to 'dtc/scripts')
-rwxr-xr-xdtc/scripts/kup-dtc32
-rwxr-xr-xdtc/scripts/setlocalversion23
2 files changed, 55 insertions, 0 deletions
diff --git a/dtc/scripts/kup-dtc b/dtc/scripts/kup-dtc
new file mode 100755
index 000000000..3c3376ce2
--- /dev/null
+++ b/dtc/scripts/kup-dtc
@@ -0,0 +1,32 @@
+#! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+REMOTE_GIT=/pub/scm/utils/dtc/dtc.git
+REMOTE_PATH=/pub/software/utils/dtc
+
+set -e
+
+kup_one () {
+ VERSION="$1"
+
+ TAG="v$VERSION"
+
+ PREFIX="dtc-$VERSION/"
+ TAR="dtc-$VERSION.tar"
+ SIG="$TAR.sign"
+
+ git archive --format=tar --prefix="$PREFIX" -o "$TAR" "$TAG"
+ gpg --detach-sign --armor -o "$SIG" "$TAR"
+
+ ls -l "$TAR"*
+
+ # Verify the signature as a sanity check
+ gpg --verify "$SIG" "$TAR"
+
+ kup put --tar --prefix="$PREFIX" "$REMOTE_GIT" "$TAG" "$SIG" "$REMOTE_PATH/$TAR.gz"
+}
+
+for version; do
+ kup_one $version
+done
+
diff --git a/dtc/scripts/setlocalversion b/dtc/scripts/setlocalversion
new file mode 100755
index 000000000..ea333e7f3
--- /dev/null
+++ b/dtc/scripts/setlocalversion
@@ -0,0 +1,23 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+# Print additional version information for non-release trees.
+
+usage() {
+ echo "Usage: $0 [srctree]" >&2
+ exit 1
+}
+
+cd "${1:-.}" || usage
+
+# Check for git and a git repo.
+if head=`git rev-parse --verify HEAD 2>/dev/null`; then
+ # Do we have an untagged version?
+ if git name-rev --tags HEAD | grep -E '^HEAD[[:space:]]+(.*~[0-9]*|undefined)$' > /dev/null; then
+ printf '%s%s' -g `echo "$head" | cut -c1-8`
+ fi
+
+ # Are there uncommitted changes?
+ if git diff-index HEAD | read dummy; then
+ printf '%s' -dirty
+ fi
+fi